function NewGame()

--清空定时脚本
global.ClearTimer() 

--清空开始音效
global.StopLastSound() 

--情况结束


effect.FadeOut(1,1)
global.MusicFadeOut(1000)
global.Wait(2)
ui.CloseStartMenu()
--屏蔽自动存档
flag.SetValue(30000,1) 
-----------------
ui.ShowModelDlg()
global.Wait(1)


global.PlayMusic(151,0)
global.PlayMusic(-1,0)
-- global.PlayCg(0)
-- global.WaitForCgEnd()
 
 --打开主城小地图----------

	flag.SetValue(16904,1)
	flag.SetValue(16907,1)
	flag.SetValue(16908,1)

	flag.SetValue(16910,1)
	flag.SetValue(16912,1)
	flag.SetValue(16917,1)	
	flag.SetValue(16918,1)
	flag.SetValue(16921,1)
	flag.SetValue(16924,1)	
	flag.SetValue(16925,1)
	flag.SetValue(16926,1)
	flag.SetValue(16928,1)
	flag.SetValue(16930,1)
	flag.SetValue(16935,1)
	flag.SetValue(16939,1)	
	flag.SetValue(16942,1)
	flag.SetValue(16943,1)

  local	i
  for	i=0,9	do	--全主角
	player.Create((2^i),0,0)
  end
  
  for	i=1,9	do	--其他人离队
	player.Remove(2^i)
  end

  flag.SetValue(6001,1)	--主线旗标
	
--包含宏
  global.Include(10000)
  

  
  --global.CallScript(7001)
  global.CallScript(35021)


  --初始金钱
  player.AddMoney(999999,0)
  


------------------老旗标 之后更新----------

flag.SetValue(10701,1)
flag.SetValue(10702,1)




-------------------技能绝技--------------------

		for i=1,42,1
	do
		player.AddMagic(i)
	end
	
	player.AddMagic(3038)--天地神佑
	player.AddMagic(3045)--醍醐灌顶

	--配角的第一个技能and
	player.AddMagic(84)
	player.AddMagic(87)
--	player.AddMagic(89)
	player.AddMagic(92)
	player.AddMagic(95)
	player.AddMagic(98)
	
	player.AddMagic(75)--兰入队绝技1
	player.AddMagic(83)--兰职业技能 
	player.AddMagic(104)--皇甫职业技能 
	player.AddMagic(107)--结萝职业技能 
	
	player.AddMagic(3032)--攻势
	player.AddMagic(3033)--守势
	player.AddMagic(3034)--卓
	player.AddMagic(3041)--隐瞒
	player.AddMagic(3048)--萝

--取消自动存档屏蔽
flag.SetValue(30000,0)
------------------


end
